.TH ABACUS 6 "7 May 1994, V4" "Chinese"
.SH NAME
X ABACUS \- Yet another X widget 
.SH SYNOPSIS
.B xabacus
[-display <display>] [-geometry <geometry>]
[-bars <int>] [-spaces <int>]
[-bead <color>]
[-{background | bg} <color>] [-{foreground | fg} <color>]
[-tnumber <int>] [-bnumber <int>]
[-tfactor <int>] [-bfactor <int>]
[-[no]torient] [-[no]borient]
.SH DESCRIPTION
.LP
One of the motivations of this abacus program is simplicity. This 
was originally a demonstration that I could write a window program.
.LP
Use "\fBmouse-left\fP" to move beads. Note you can move them faster
by holding down the button and sweeping across beads. Use
"\fBmouse-right\fP", "\fBC\fP",or  "\fBc\fP" to clear. "\fBQ\fP",
"\fBq\fP", or "\fBCTRL-C\fP" keys kill program.
.SH OPTIONS
.PP
.TP 8
.B \-display \fIhost\fP:\fIdpy\fP
This option specifies the X server to contact.
.TP 8
.B \-geometry {+|\-}\fIX\fP{+|\-}\fIY\fP
This option sets the initial position of the abacus window (resource
name "\fIgeometry\fP").
.TP 8
.B \-{background | bg} \fIcolor\fP
This option specifies the background of the abacus window (resource name
"\fIbackground\fP").
.TP 8
.B \-{foreground | fg} \fIcolor\fP
This option specifies the foreground of the abacus window (resource name
"\fIforeground\fP").
.TP 8
.B \-bead \fIcolor\fP
This option specifies the foreground of the beads (resource name
"\fIbeadColor\fP").
.TP 8
.B \-bars \fIint\fP
This option specifies the number of bars (resource name "\fIbars\fP").
.TP 8
.B \-spaces \fIint\fP
This option specifies the number of spaces (resource name "\fIspaces\fP").
.TP 8
.B \-tnumber \fIint\fP
This option specifies the number of beads on top (resource name
"\fItopNumber\fP").
.TP 8
.B \-bnumber \fIint\fP
This option specifies the number of beads on bottom (resource name
"\fIbottomNumber\fP").
.TP 8
.B \-tfactor \fIint\fP
This option specifies the multiply factor for the beads on top (resource
name "\fItopFactor\fP").
.TP 8
.B \-bfactor \fIint\fP
This option specifies the multiply factor for the  beads on bottom
(resource name "\fIbottomFactor\fP").
.TP 8
.B \-[no]torient
This option specifies the orientation of the beads on top (resource name
"\fItopOrient\fP").
.TP 8
.B \-[no]borient
This option specifies the orientation of the beads on bottom (resource name
"\fIbottomOrient\fP").
.PP
.SH SEE ALSO
.LP
X(1), xrubik(1), xpyramid(1), xoct(1), xskewb(1),
xcubes(1), xtriangles(1), xhexagons(1)
.SH COPYRIGHTS
.LP
\*R Copyright 1994, David Albert Bagley
.SH BUG REPORTS AND PROGRAM UPDATES
.LP
Send bugs (or their reports, or fixes) to the author
.RS
David Albert Bagley,	<\fIbagleyd@source.asset.com\fP>
.RE
.LP
The most updated source could be found on \fIftp.x.org\fP under
\fI/contrib/applications\fP.
.SH ACKNOWLEDGEMENTS
.LP
Thanks go to people who helped me in improving the program.
